package com.example.ektappv1;

import android.content.Context;
import android.os.Build;
import android.util.Log;
import android.webkit.CookieManager;
import android.webkit.CookieSyncManager;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class Historic {

    public static void initHistoric(){
        if(Globals.listHistoric == null) {
            Globals.listHistoric = new ArrayList();
            Globals.lastPageHistoric = "";
        }
    }

    public static void setURLinHistoric(String url){
        Globals.listHistoric.add(url);
        Globals.lastPageHistoric = url;
    }

    public static void unsetLastPage(){
        Globals.listHistoric.remove(Globals.listHistoric.size()-1);
        Globals.lastPageHistoric = Globals.listHistoric.get(Globals.listHistoric.size()-1);
    }

    @SuppressWarnings("deprecation")
    public static void clearCookies(Context context)
    {

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP_MR1) {
            Log.d("JUAN", "Using clearCookies code for API >=" + String.valueOf(Build.VERSION_CODES.LOLLIPOP_MR1));
            CookieManager.getInstance().removeAllCookies(null);
            CookieManager.getInstance().flush();
        } else
        {
            Log.d("JUAN", "Using clearCookies code for API <" + String.valueOf(Build.VERSION_CODES.LOLLIPOP_MR1));
            CookieSyncManager cookieSyncMngr= CookieSyncManager.createInstance(context);
            cookieSyncMngr.startSync();
            CookieManager cookieManager=CookieManager.getInstance();
            cookieManager.removeAllCookie();
            cookieManager.removeSessionCookie();
            cookieSyncMngr.stopSync();
            cookieSyncMngr.sync();
        }
    }


    public static String getBaseURL(String url) {
        String urlBase = "";
        try
        {
            URL urlObject = new URL(url);
            urlBase = urlObject.getProtocol() + "://" + urlObject.getHost()+urlObject.getPath();
            Log.v("JUAN","urlbase: "+urlBase);
        }
        catch (MalformedURLException e) {}

        return urlBase;
    }

}
